Subject: Re: [PATCH 7/7] [POWERPC] Xilinx: Update booting-without-of.

From: Peter Korsgaard <[email-masked]>
Date: Mon, 17 Dec 2007 12:57:36 +0100

>>>>> "Grant" == Grant Likely <[email-masked]> writes:

Hi,

 >> > 3) Uartlite requires a port-number property for the console to work.
 >> 
 >> Why?  In general we try to avoid magical sequence numbers - cell-index
 >> should *only* be used when it's needed to index or program some shared
 >> register.

 Grant> Aliases is probably the correct construct for this.
 Grant> port-number was a bad idea and I never should have gone that
 Grant> direction.

Perhaps it would make more sense to add a _find_match_or_unused(port)
like 8250.c and make the initialization order define the index instead
of explicitly setting it?

Now we're at it - Why isn't the uartlite of glue handled by of_serial.c?

-- 
Bye, Peter Korsgaard